<h1>สรุปยอดทั้งหมด</h1>

  
<%= form_tag invoices_path, method: :get do %>
  
  <div class="col-sm-6">
    <%= check_box_tag 'search[status][]', 'wait' %> <span class="text-uppercase">รอชำระ</span>
    <%= check_box_tag 'search[status][]', 'paid' %> <span class="text-uppercase">ชำระแล้ว</span>
    <br>
    <br>
    <% LotteryTopic.all.each do |lot| %>
      <%= check_box_tag 'search[lot][]', lot.title %> <span class="text-uppercase"><%= lot.name %></span>
    <% end %>
    <br>
    <br>
    <%= text_field_tag 'search[start_date]', '', class: 'datepicker'%> -
    <%= text_field_tag 'search[end_date]', '', class: 'datepicker'%>
     
    <%= submit_tag "ค้นหา", :disable_with => "Submitting...", class: 'btn btn-success btn-xs' %>
  </div>
<% end %>

<table class="table">
  <thead>
    <tr>
      <th>วันที่</th>
      <th></th>
      <th>รอบ</th>
      <th>สถานะ</th>
      <th>ยอดซื้อ</th>
      <th>ยอดถูก</th>
      <th>ส่วนลด</th>
      <th>สรุป</th>
      <th></th>
    </tr>
  </thead>

  <tbody>
    <% @invoices.each do |invoice| %>
      <tr>
        <td><%= link_to invoice.created_at.to_date.strftime('%d/%m/%y'), invoice_url(invoice) %></td>
        <td><%= invoice.lottery_id %></td>
        <td><%= LotteryTime.set_lot_round(invoice.lottery_id, invoice.try(:round)) %></td>
        <td>
            <% if invoice.try(:status) == 'wait' %>
              <span class="label label-warning">รอชำระ</span>
            <% end %>
            <% if invoice.try(:status) == 'paid' %>
              <span class="label label-success">ชำระแล้ว</span>
            <% end %>
        </td>
        <td><%= invoice.total %></td>
        <td><%= invoice.amount_won %></td>
        <td><%= invoice.discount %></td>
        <td><%= invoice.try(:amount_total) %></td>
          <td class="manage">
            <% if current_user.avalability_agent? && !current_user.admin? %>
              <%= link_to 'ยืนยัน', invoice_confirmed_url(invoice), class: 'btn btn-success'%>
            <% end %>
          </td>
      </tr>
    <% end %>
    <tr>
      <th>รวม</th>
      <td></td>
      <td></td>
      <td></td>
      <td>
        <%= sprintf('%.1f', @invoices.map {|l| l.total.to_f }.sum) %>
      </td>
      <td>
        <%= sprintf('%.1f', @invoices.map {|l| l.amount_won.to_f }.sum) %>
      </td>
      <td>
        <%= sprintf('%.1f', @invoices.map {|l| l.discount.to_f }.sum) %>
      </td>
      <th>
        <%= sprintf('%.1f', @invoices.map {|l| l.amount_total.to_f }.sum) %>
      </th>
    </tr>
  </tbody>
</table>

<%= will_paginate @invoices, renderer: BootstrapPagination::Rails %>

<script type="text/javascript">
  $(document).ready(function(){
    $('.datepicker').datepicker({
      format: 'dd-mm-yyyy'
    });
  });
</script>